package src;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.stage.Window;

public class Main extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) {
        openFileSelectScreen(primaryStage);
    }

    public static void openFileSelectScreen(Stage stage) {
        WindowsHandler windowsHandler = new WindowsHandler(stage);
        FontSizeHandler fontSizeHandler = new FontSizeHandler();

        Database db = new Database("./logs.db");
        DatabaseController db_ctrl = new DatabaseController(db); // Use to interface with database
        FileSelectScreen screen = new FileSelectScreen(stage, db_ctrl, fontSizeHandler, windowsHandler);
        screen.setupInterface();
    }
}