package src;

import javafx.scene.Scene;
import javafx.stage.Stage;

import java.util.ArrayList;
import java.util.List;

public class WindowsHandler {

    private List<Stage> openWindows;

    public WindowsHandler(Stage stage) {
        openWindows = new ArrayList<>();
        openWindows.add(stage);
    }

    public void closeAllWindows() {
        for(Stage stage : openWindows){
            stage.close();
        }
        openWindows.clear();
        System.out.println(openWindows.size());
    }

    public void openNewWindow(DatabaseController dbc, QueryExecutor queryExecutor, FontSizeHandler fontSizeHandler, Scene fileSelectScene) {
        Stage newStage = new Stage();
        DataViewScreen newDataViewScreen = new DataViewScreen(newStage, dbc, queryExecutor, fontSizeHandler, this, fileSelectScene);
        newDataViewScreen.showDataViewScreen();

        openWindows.add(newStage);
        System.out.println(openWindows.size());
    }
}